
Infrastructure - Task #3276

Story # 3265 (Closed): Implement Query API

Implement CN /query/ REST endpoint

2012-09-27 02:54 - Skye Roseboom

Status: Closed Start date: 2012-09-27

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2012.44-Block.6.2   

Milestone: CCI-1.1 Story Points:  

Product Version: *   

Description

/cn/v1/query/ should return dataONE Types.QueryEngineList.

Currenly just 'solr' search engine is supported.

Will register supported search engines in node.properties at cn.search.engines property.

History

#1 - 2012-09-27 03:00 - Skye Roseboom

- Subject changed from Implement CN /query REST endpoint to Implement CN /query/ REST endpoint

#2 - 2012-09-27 14:09 - Skye Roseboom

- Status changed from New to In Progress

#3 - 2012-10-01 20:10 - Skye Roseboom

- Assignee changed from Skye Roseboom to Robert Waltz

#4 - 2012-10-03 17:41 - Robert Waltz

- Assignee changed from Robert Waltz to Skye Roseboom

Added the code in d1_cn_rest service and a property in node.properties. Needs deployment and testing on dev environment

#5 - 2012-10-04 19:35 - Skye Roseboom

- Status changed from In Progress to Testing

installed in cn-dev environment for testing.

#6 - 2012-10-08 13:33 - Skye Roseboom

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed

#7 - 2012-10-09 20:03 - Rob Nahf

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

#8 - 2012-10-25 15:10 - Skye Roseboom

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2
